/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package it.eng.serviceregistry;

public class ServiceRegistryException extends Exception{
	
	private Throwable rootClause = null;

	public ServiceRegistryException(String cause) {
		super(cause);
	}
	public ServiceRegistryException(Throwable rootClause) {
		super();
		this.rootClause = rootClause;
	}

	public Throwable getRootClause() {
		return rootClause;
	}

	public void setRootClause(Throwable rootClause) {
		this.rootClause = rootClause;
	}
	
	
}
